## zygrib 6.2.1

=== Makefile ===
QTBIN=/usr/bin
#QTBIN=/opt/qt/qt/bin
#QTBIN=/usr/local/Trolltech/Qt-4.7.0/bin

INSTALLDIR=$(HOME)/zyGrib

MACQTBIN=/opt/local/bin

all: zyGrib

SRC= src/*.h src/*.cpp src/*/*.h src/*/*.cpp \
      src/qwt*/src/*.cpp src/qwt*/src/*.h

mac: $(SRC)
	rm -f  ./zyGrib
	rm -fr ./zyGrib.app
	rm -f  src/Makefile
	cd src/qwt-6.0.1/src; $(MACQTBIN)/qmake; make -j5
	cd src; $(MACQTBIN)/qmake; make -j5

macclean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	cd src/qwt-6.0.1/src; $(MACQTBIN)/qmake; make clean
	cd src;	$(MACQTBIN)/qmake; make clean

clean:
	rm -f  zyGrib
	rm -fr zyGrib.app
	rm -f  src/zyGrib
	rm -f  src/release/zyGrib.exe
	cd src/qwt-6.0.1/src; $(QTBIN)/qmake; make clean
	cd src;	$(QTBIN)/qmake; make clean

zyGrib: $(SRC)
	@ echo
	rm -f ./zyGrib
	cd src/qwt-6.0.1/src; $(QTBIN)/qmake; make -j5
	cd src; $(QTBIN)/qmake; make -j5
	@ echo "-----------------------------------"
	@ echo "#!/bin/bash" >> ./zyGrib
	@ echo "cd `pwd`" >> ./zyGrib
	@ echo 'src/zyGrib $$*' >> ./zyGrib
	@ chmod 755 ./zyGrib

install: zyGrib
	mkdir -p $(INSTALLDIR)
	mkdir -p $(INSTALLDIR)/bin
	cp -a data $(INSTALLDIR)
	cp -a grib $(INSTALLDIR)
	rm -f ./zyGrib
	rm -f $(INSTALLDIR)/bin/zyGrib
	cp  -a src/zyGrib $(INSTALLDIR)/bin
	echo "#!/bin/bash" >> ./zyGrib
	echo "cd $(INSTALLDIR)" >> ./zyGrib
	echo 'bin/zyGrib $$*' >> ./zyGrib
	chmod 755 ./zyGrib
	cp -af zyGrib $(INSTALLDIR)

=== src/Makefile ===
#############################################################################
# Makefile for building: zyGrib
# Generated by qmake (2.01a) (Qt 4.8.4) on: Mon Nov 25 01:16:45 2013
# Project:  zyGrib.pro
# Template: app
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile zyGrib.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -Iqwt-6.0.1/src -Iobjs -IGUI
LINK          = g++
LFLAGS        = -m64 -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lbz2 -lz -lproj -lnova -Lqwt-6.0.1/lib/ -lqwt -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = objs/

####### Files

SOURCES       = GUI/PositionEditorWidget.cpp \
		GUI/ColorEditorWidget.cpp \
		GUI/LineEditorWidget.cpp \
		GUI/TextStyleEditorWidget.cpp \
		GUI/AngleConverterWidget.cpp \
		GUI/AngleConverterDialog.cpp \
		curvedrawer/BoatSpeed.cpp \
		curvedrawer/CurveDrawer.cpp \
		curvedrawer/CustomQwtClasses.cpp \
		Astro.cpp \
		MbzFile.cpp \
		MblueRecord.cpp \
		MblueReader.cpp \
		MbluePlot.cpp \
		BoardPanel.cpp \
		ColorScale.cpp \
		ColorScaleWidget.cpp \
		DataColors.cpp \
		DataQString.cpp \
		DataMeteoAbstract.cpp \
		DataPointInfo.cpp \
		DateChooser.cpp \
		DialogBoxColumn.cpp \
		DialogFonts.cpp \
		DialogGraphicsParams.cpp \
		DialogLoadGRIB.cpp \
		DialogLoadIAC.cpp \
		DialogLoadMBLUE.cpp \
		DialogProxy.cpp \
		DialogSelectMetar.cpp \
		DialogServerStatus.cpp \
		DialogUnits.cpp \
		FileLoaderGRIB.cpp \
		FileLoaderIAC.cpp \
		FileLoaderMBLUE.cpp \
		util/Font.cpp \
		GriddedPlotter.cpp \
		GriddedReader.cpp \
		GriddedRecord.cpp \
		map/GshhsRangsReader.cpp \
		map/GshhsReader.cpp \
		GribAnimator.cpp \
		GribPlot.cpp \
		map/GisReader.cpp \
		GribReader.cpp \
		GribRecord.cpp \
		IacPlot.cpp \
		IacReader.cpp \
		IacReaderUtil.cpp \
		ImageWriter.cpp \
		IrregularGridded.cpp \
		IsoLine.cpp \
		LongTaskProgress.cpp \
		LonLatGrid.cpp \
		main.cpp \
		MainWindow.cpp \
		MapDrawer.cpp \
		MenuBar.cpp \
		Metar.cpp \
		MeteoTable.cpp \
		MeteoTableWidget.cpp \
		MeteotableOptionsDialog.cpp \
		util/Orthodromie.cpp \
		map/POI.cpp \
		map/POI_Editor.cpp \
		map/PositionEditor.cpp \
		map/Projection.cpp \
		map/Projection_libproj.cpp \
		util/Settings.cpp \
		SkewT.cpp \
		SkewTWindow.cpp \
		Terrain.cpp \
		Therm.cpp \
		util/Util.cpp \
		util/zuFile.cpp objs/moc_PositionEditorWidget.cpp \
		objs/moc_ColorEditorWidget.cpp \
		objs/moc_LineEditorWidget.cpp \
		objs/moc_TextStyleEditorWidget.cpp \
		objs/moc_AngleConverterWidget.cpp \
		objs/moc_AngleConverterDialog.cpp \
		objs/moc_CurveDrawer.cpp \
		objs/moc_BoardPanel.cpp \
		objs/moc_ColorScaleWidget.cpp \
		objs/moc_DataQString.cpp \
		objs/moc_DateChooser.cpp \
		objs/moc_DialogBoxColumn.cpp \
		objs/moc_DialogFonts.cpp \
		objs/moc_DialogGraphicsParams.cpp \
		objs/moc_DialogLoadGRIB.cpp \
		objs/moc_DialogLoadIAC.cpp \
		objs/moc_DialogLoadMBLUE.cpp \
		objs/moc_DialogProxy.cpp \
		objs/moc_DialogSelectMetar.cpp \
		objs/moc_DialogServerStatus.cpp \
		objs/moc_DialogUnits.cpp \
		objs/moc_FileLoaderGRIB.cpp \
		objs/moc_FileLoaderIAC.cpp \
		objs/moc_FileLoaderMBLUE.cpp \
		objs/moc_GribAnimator.cpp \
		objs/moc_ImageWriter.cpp \
		objs/moc_LongTaskProgress.cpp \
		objs/moc_Metar.cpp \
		objs/moc_MeteoTable.cpp \
		objs/moc_MeteoTableWidget.cpp \
		objs/moc_MeteotableOptionsDialog.cpp \
		objs/moc_MainWindow.cpp \
		objs/moc_MapDrawer.cpp \
		objs/moc_MenuBar.cpp \
		objs/moc_POI.cpp \
		objs/moc_POI_Editor.cpp \
		objs/moc_PositionEditor.cpp \
		objs/moc_Projection.cpp \
		objs/moc_SkewT.cpp \
		objs/moc_Terrain.cpp \
		objs/moc_Util.cpp
OBJECTS       = objs/PositionEditorWidget.o \
		objs/ColorEditorWidget.o \
		objs/LineEditorWidget.o \
		objs/TextStyleEditorWidget.o \
		objs/AngleConverterWidget.o \
		objs/AngleConverterDialog.o \
		objs/BoatSpeed.o \
		objs/CurveDrawer.o \
		objs/CustomQwtClasses.o \
		objs/Astro.o \
		objs/MbzFile.o \
		objs/MblueRecord.o \
		objs/MblueReader.o \
		objs/MbluePlot.o \
		objs/BoardPanel.o \
		objs/ColorScale.o \
		objs/ColorScaleWidget.o \
		objs/DataColors.o \
		objs/DataQString.o \
		objs/DataMeteoAbstract.o \
		objs/DataPointInfo.o \
		objs/DateChooser.o \
		objs/DialogBoxColumn.o \
		objs/DialogFonts.o \
		objs/DialogGraphicsParams.o \
		objs/DialogLoadGRIB.o \
		objs/DialogLoadIAC.o \
		objs/DialogLoadMBLUE.o \
		objs/DialogProxy.o \
		objs/DialogSelectMetar.o \
		objs/DialogServerStatus.o \
		objs/DialogUnits.o \
		objs/FileLoaderGRIB.o \
		objs/FileLoaderIAC.o \
		objs/FileLoaderMBLUE.o \
		objs/Font.o \
		objs/GriddedPlotter.o \
		objs/GriddedReader.o \
		objs/GriddedRecord.o \
		objs/GshhsRangsReader.o \
		objs/GshhsReader.o \
		objs/GribAnimator.o \
		objs/GribPlot.o \
		objs/GisReader.o \
		objs/GribReader.o \
		objs/GribRecord.o \
		objs/IacPlot.o \
		objs/IacReader.o \
		objs/IacReaderUtil.o \
		objs/ImageWriter.o \
		objs/IrregularGridded.o \
		objs/IsoLine.o \
		objs/LongTaskProgress.o \
		objs/LonLatGrid.o \
		objs/main.o \
		objs/MainWindow.o \
		objs/MapDrawer.o \
		objs/MenuBar.o \
		objs/Metar.o \
		objs/MeteoTable.o \
		objs/MeteoTableWidget.o \
		objs/MeteotableOptionsDialog.o \
		objs/Orthodromie.o \
		objs/POI.o \
		objs/POI_Editor.o \
		objs/PositionEditor.o \
		objs/Projection.o \
		objs/Projection_libproj.o \
		objs/Settings.o \
		objs/SkewT.o \
		objs/SkewTWindow.o \
		objs/Terrain.o \
		objs/Therm.o \
		objs/Util.o \
		objs/zuFile.o \
		objs/moc_PositionEditorWidget.o \
		objs/moc_ColorEditorWidget.o \
		objs/moc_LineEditorWidget.o \
		objs/moc_TextStyleEditorWidget.o \
		objs/moc_AngleConverterWidget.o \
		objs/moc_AngleConverterDialog.o \
		objs/moc_CurveDrawer.o \
		objs/moc_BoardPanel.o \
		objs/moc_ColorScaleWidget.o \
		objs/moc_DataQString.o \
		objs/moc_DateChooser.o \
		objs/moc_DialogBoxColumn.o \
		objs/moc_DialogFonts.o \
		objs/moc_DialogGraphicsParams.o \
		objs/moc_DialogLoadGRIB.o \
		objs/moc_DialogLoadIAC.o \
		objs/moc_DialogLoadMBLUE.o \
		objs/moc_DialogProxy.o \
		objs/moc_DialogSelectMetar.o \
		objs/moc_DialogServerStatus.o \
		objs/moc_DialogUnits.o \
		objs/moc_FileLoaderGRIB.o \
		objs/moc_FileLoaderIAC.o \
		objs/moc_FileLoaderMBLUE.o \
		objs/moc_GribAnimator.o \
		objs/moc_ImageWriter.o \
		objs/moc_LongTaskProgress.o \
		objs/moc_Metar.o \
		objs/moc_MeteoTable.o \
		objs/moc_MeteoTableWidget.o \
		objs/moc_MeteotableOptionsDialog.o \
		objs/moc_MainWindow.o \
		objs/moc_MapDrawer.o \
		objs/moc_MenuBar.o \
		objs/moc_POI.o \
		objs/moc_POI_Editor.o \
		objs/moc_PositionEditor.o \
		objs/moc_Projection.o \
		objs/moc_SkewT.o \
		objs/moc_Terrain.o \
		objs/moc_Util.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		zyGrib.pro
QMAKE_TARGET  = zyGrib
DESTDIR       = 
TARGET        = zyGrib

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET): GUI/ui_PositionEditorWidget.h GUI/ui_PoiEditorDialog.h GUI/ui_ColorEditorWidget.h GUI/ui_LineEditorWidget.h GUI/ui_TextStyleEditorWidget.h GUI/ui_GraphicsParamsDialog.h GUI/ui_MeteotableOptionsDialog.h GUI/ui_AngleConverterWidget.h $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: zyGrib.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/lib/x86_64-linux-gnu/libQtXml.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtNetwork.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile zyGrib.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/lib/x86_64-linux-gnu/libQtXml.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:

=== src/qwt-6.0.1/src/Makefile ===
#############################################################################
# Makefile for building: libqwt.a
# Generated by qmake (2.01a) (Qt 4.8.4) on: Mon Nov 25 01:16:45 2013
# Project:  src.pro
# Template: lib
# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile src.pro
#############################################################################

####### Compiler, tools and options

CC            = @echo compiling $< && gcc
CXX           = @echo compiling $< && g++
DEFINES       = -DQT_NO_DEBUG -DQT_NO_KEYWORDS -DQT_SVG_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -m64 -pipe -O2 -fPIC -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -Imoc
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = obj/

####### Files

SOURCES       = qwt_abstract_scale_draw.cpp \
		qwt_interval_symbol.cpp \
		qwt_clipper.cpp \
		qwt_color_map.cpp \
		qwt_column_symbol.cpp \
		qwt_interval.cpp \
		qwt_dyngrid_layout.cpp \
		qwt_math.cpp \
		qwt_magnifier.cpp \
		qwt_panner.cpp \
		qwt_null_paintdevice.cpp \
		qwt_painter.cpp \
		qwt_picker.cpp \
		qwt_round_scale_draw.cpp \
		qwt_scale_div.cpp \
		qwt_scale_draw.cpp \
		qwt_scale_map.cpp \
		qwt_spline.cpp \
		qwt_text_engine.cpp \
		qwt_text_label.cpp \
		qwt_text.cpp \
		qwt_event_pattern.cpp \
		qwt_picker_machine.cpp \
		qwt_point_3d.cpp \
		qwt_point_polar.cpp \
		qwt_scale_engine.cpp \
		qwt_symbol.cpp \
		qwt_system_clock.cpp \
		qwt_curve_fitter.cpp \
		qwt_legend.cpp \
		qwt_legend_item.cpp \
		qwt_plot.cpp \
		qwt_plot_renderer.cpp \
		qwt_plot_xml.cpp \
		qwt_plot_axis.cpp \
		qwt_plot_curve.cpp \
		qwt_plot_dict.cpp \
		qwt_plot_directpainter.cpp \
		qwt_plot_grid.cpp \
		qwt_plot_histogram.cpp \
		qwt_plot_item.cpp \
		qwt_plot_intervalcurve.cpp \
		qwt_plot_spectrogram.cpp \
		qwt_plot_spectrocurve.cpp \
		qwt_plot_scaleitem.cpp \
		qwt_plot_seriesitem.cpp \
		qwt_plot_marker.cpp \
		qwt_plot_layout.cpp \
		qwt_plot_canvas.cpp \
		qwt_plot_panner.cpp \
		qwt_plot_rasteritem.cpp \
		qwt_plot_picker.cpp \
		qwt_plot_zoomer.cpp \
		qwt_plot_magnifier.cpp \
		qwt_plot_rescaler.cpp \
		qwt_raster_data.cpp \
		qwt_matrix_raster_data.cpp \
		qwt_sampling_thread.cpp \
		qwt_series_data.cpp \
		qwt_scale_widget.cpp \
		qwt_plot_svgitem.cpp \
		qwt_abstract_slider.cpp \
		qwt_abstract_scale.cpp \
		qwt_arrow_button.cpp \
		qwt_analog_clock.cpp \
		qwt_compass.cpp \
		qwt_compass_rose.cpp \
		qwt_counter.cpp \
		qwt_dial.cpp \
		qwt_dial_needle.cpp \
		qwt_double_range.cpp \
		qwt_knob.cpp \
		qwt_slider.cpp \
		qwt_thermo.cpp \
		qwt_wheel.cpp moc/moc_qwt_dyngrid_layout.cpp \
		moc/moc_qwt_magnifier.cpp \
		moc/moc_qwt_panner.cpp \
		moc/moc_qwt_picker.cpp \
		moc/moc_qwt_text_label.cpp \
		moc/moc_qwt_legend.cpp \
		moc/moc_qwt_legend_item.cpp \
		moc/moc_qwt_plot.cpp \
		moc/moc_qwt_plot_renderer.cpp \
		moc/moc_qwt_plot_canvas.cpp \
		moc/moc_qwt_plot_panner.cpp \
		moc/moc_qwt_plot_picker.cpp \
		moc/moc_qwt_plot_zoomer.cpp \
		moc/moc_qwt_plot_magnifier.cpp \
		moc/moc_qwt_sampling_thread.cpp \
		moc/moc_qwt_scale_widget.cpp \
		moc/moc_qwt_abstract_slider.cpp \
		moc/moc_qwt_analog_clock.cpp \
		moc/moc_qwt_compass.cpp \
		moc/moc_qwt_counter.cpp \
		moc/moc_qwt_dial.cpp \
		moc/moc_qwt_knob.cpp \
		moc/moc_qwt_slider.cpp \
		moc/moc_qwt_thermo.cpp \
		moc/moc_qwt_wheel.cpp
OBJECTS       = obj/qwt_abstract_scale_draw.o \
		obj/qwt_interval_symbol.o \
		obj/qwt_clipper.o \
		obj/qwt_color_map.o \
		obj/qwt_column_symbol.o \
		obj/qwt_interval.o \
		obj/qwt_dyngrid_layout.o \
		obj/qwt_math.o \
		obj/qwt_magnifier.o \
		obj/qwt_panner.o \
		obj/qwt_null_paintdevice.o \
		obj/qwt_painter.o \
		obj/qwt_picker.o \
		obj/qwt_round_scale_draw.o \
		obj/qwt_scale_div.o \
		obj/qwt_scale_draw.o \
		obj/qwt_scale_map.o \
		obj/qwt_spline.o \
		obj/qwt_text_engine.o \
		obj/qwt_text_label.o \
		obj/qwt_text.o \
		obj/qwt_event_pattern.o \
		obj/qwt_picker_machine.o \
		obj/qwt_point_3d.o \
		obj/qwt_point_polar.o \
		obj/qwt_scale_engine.o \
		obj/qwt_symbol.o \
		obj/qwt_system_clock.o \
		obj/qwt_curve_fitter.o \
		obj/qwt_legend.o \
		obj/qwt_legend_item.o \
		obj/qwt_plot.o \
		obj/qwt_plot_renderer.o \
		obj/qwt_plot_xml.o \
		obj/qwt_plot_axis.o \
		obj/qwt_plot_curve.o \
		obj/qwt_plot_dict.o \
		obj/qwt_plot_directpainter.o \
		obj/qwt_plot_grid.o \
		obj/qwt_plot_histogram.o \
		obj/qwt_plot_item.o \
		obj/qwt_plot_intervalcurve.o \
		obj/qwt_plot_spectrogram.o \
		obj/qwt_plot_spectrocurve.o \
		obj/qwt_plot_scaleitem.o \
		obj/qwt_plot_seriesitem.o \
		obj/qwt_plot_marker.o \
		obj/qwt_plot_layout.o \
		obj/qwt_plot_canvas.o \
		obj/qwt_plot_panner.o \
		obj/qwt_plot_rasteritem.o \
		obj/qwt_plot_picker.o \
		obj/qwt_plot_zoomer.o \
		obj/qwt_plot_magnifier.o \
		obj/qwt_plot_rescaler.o \
		obj/qwt_raster_data.o \
		obj/qwt_matrix_raster_data.o \
		obj/qwt_sampling_thread.o \
		obj/qwt_series_data.o \
		obj/qwt_scale_widget.o \
		obj/qwt_plot_svgitem.o \
		obj/qwt_abstract_slider.o \
		obj/qwt_abstract_scale.o \
		obj/qwt_arrow_button.o \
		obj/qwt_analog_clock.o \
		obj/qwt_compass.o \
		obj/qwt_compass_rose.o \
		obj/qwt_counter.o \
		obj/qwt_dial.o \
		obj/qwt_dial_needle.o \
		obj/qwt_double_range.o \
		obj/qwt_knob.o \
		obj/qwt_slider.o \
		obj/qwt_thermo.o \
		obj/qwt_wheel.o \
		obj/moc_qwt_dyngrid_layout.o \
		obj/moc_qwt_magnifier.o \
		obj/moc_qwt_panner.o \
		obj/moc_qwt_picker.o \
		obj/moc_qwt_text_label.o \
		obj/moc_qwt_legend.o \
		obj/moc_qwt_legend_item.o \
		obj/moc_qwt_plot.o \
		obj/moc_qwt_plot_renderer.o \
		obj/moc_qwt_plot_canvas.o \
		obj/moc_qwt_plot_panner.o \
		obj/moc_qwt_plot_picker.o \
		obj/moc_qwt_plot_zoomer.o \
		obj/moc_qwt_plot_magnifier.o \
		obj/moc_qwt_sampling_thread.o \
		obj/moc_qwt_scale_widget.o \
		obj/moc_qwt_abstract_slider.o \
		obj/moc_qwt_analog_clock.o \
		obj/moc_qwt_compass.o \
		obj/moc_qwt_counter.o \
		obj/moc_qwt_dial.o \
		obj/moc_qwt_knob.o \
		obj/moc_qwt_slider.o \
		obj/moc_qwt_thermo.o \
		obj/moc_qwt_wheel.o
DIST          = /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qwtconfig.pri \
		../qwtbuild.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/silent.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		src.pro
QMAKE_TARGET  = qwt
DESTDIR       = ../lib/
TARGET        = libqwt.a

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile ../lib/$(TARGET) 

staticlib: ../lib/$(TARGET)

../lib/$(TARGET):  $(OBJECTS) $(OBJCOMP) 
	@$(CHK_DIR_EXISTS) ../lib/ || $(MKDIR) ../lib/ 
	-$(DEL_FILE) $(TARGET)
	$(AR) $(TARGET) $(OBJECTS)
	-$(DEL_FILE) ../lib/$(TARGET)
	-$(MOVE) $(TARGET) ../lib/


Makefile: src.pro  /usr/share/qt4/mkspecs/linux-g++-64/qmake.conf /usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/common/gcc-base.conf \
		/usr/share/qt4/mkspecs/common/gcc-base-unix.conf \
		/usr/share/qt4/mkspecs/common/g++-base.conf \
		/usr/share/qt4/mkspecs/common/g++-unix.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../qwtconfig.pri \
		../qwtbuild.pri \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/staticlib.prf \
		/usr/share/qt4/mkspecs/features/static.prf \
		/usr/share/qt4/mkspecs/features/silent.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/x86_64-linux-gnu/libQtSvg.prl \
		/usr/lib/x86_64-linux-gnu/libQtGui.prl \
		/usr/lib/x86_64-linux-gnu/libQtCore.prl
	$(QMAKE) -o Makefile src.pro
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/common/gcc-base.conf:
/usr/share/qt4/mkspecs/common/gcc-base-unix.conf:
/usr/share/qt4/mkspecs/common/g++-base.conf:
/usr/share/qt4/mkspecs/common/g++-unix.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../qwtconfig.pri:
../qwtbuild.pri:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/staticlib.prf:
/usr/share/qt4/mkspecs/features/static.prf:
/usr/share/qt4/mkspecs/features/silent.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/x86_64-linux-gnu/libQtSvg.prl:
/usr/lib/x86_64-linux-gnu/libQtGui.prl:
/usr/lib/x86_64-linux-gnu/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -o Makefile src.pro

dist: 
	@$(CHK_DIR_EXISTS) obj/qwt6.0.1 || $(MKDIR) obj/qwt6.0.1

=== debian/changelog ===
zygrib (6.2.1-2) unstable; urgency=low

  * Override use of $(HOME) in Makefiles that breaks sbuild.
    Closes: #730589.
  * Bugs closed by last release: Closes: #730147, #620102. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Nov 2013 14:39:34 +0000

zygrib (6.2.1-1) unstable; urgency=low

  * New upstream release.
  * Now use debhelper only, no cdbs 
  * Now require libnova-dev.
  * Move maps, gis data into more package-neutral /usr/share/maps dir

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 23 Nov 2013 00:52:28 +0000

zygrib (6.0.2-2) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4
  * Now use debhelper 9.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2013 05:30:11 +0000

=== debian/control ===
Source: zygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 9), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools, libqwt-dev, libnova-dev
Standards-Version: 3.9.4
Homepage: http://www.zygrib.org/

Package: zygrib
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, zygrib-maps, fonts-liberation
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: zygrib-maps
Architecture: all
Depends: ${misc:Depends}
Description: Maps for zyGrib weather visualization
 This contains maps and country names used by zyGrib.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ 

export HOME=`pwd`/debian/tmp

CFLAGS += -fPIC

override_dh_auto_build:
	cd src ; qmake -o Makefile zyGrib.pro; $(MAKE) INSTALLDIR=$(INSTDIR)

	
override_dh_auto_clean:
	dh_auto_clean
	rm -f  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1/src/Makefile src/qwt-6.0.1/lib/libqwt.a

## zygrib 6.2.3

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: zyGrib
-# Generated by qmake (2.01a) (Qt 4.8.4) on: Mon Nov 25 01:16:45 2013
+# Generated by qmake (2.01a) (Qt 4.8.4) on: Thu Jan 9 12:40:40 2014
 # Project:  zyGrib.pro
 # Template: app
 # Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile zyGrib.pro
@@ -12,10 +12,10 @@
 CXX           = g++
 DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
 CFLAGS        = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
-CXXFLAGS      = -m64 -pipe -O2 -D_REENTRANT -Wall -W $(DEFINES)
+CXXFLAGS      = -m64 -pipe -O3 -D_REENTRANT -Wall -W $(DEFINES)
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I. -Iutil -Imap -IGUI -Icurvedrawer -Iqwt-6.0.1/src -Iobjs -IGUI
 LINK          = g++
-LFLAGS        = -m64 -Wl,-O1
+LFLAGS        = -m64 -Wl,-O1 -O3
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lbz2 -lz -lproj -lnova -Lqwt-6.0.1/lib/ -lqwt -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        =

=== src/qwt-6.0.1/src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libqwt.a
-# Generated by qmake (2.01a) (Qt 4.8.4) on: Mon Nov 25 01:16:45 2013
+# Generated by qmake (2.01a) (Qt 4.8.4) on: Thu Jan 9 12:40:40 2014
 # Project:  src.pro
 # Template: lib
 # Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile src.pro

=== debian/changelog ===
zygrib (6.2.3-1) unstable; urgency=medium

  * New upstream release. 
  * Standards-Version: 3.9.5
  * Use xz compression.
  * Enforce QT4: QT_SELECT=4 in debian/rules
  * Add patch "as-needed" to link only necessary libs.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Apr 2014 12:07:34 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools, libqwt-dev, libnova-dev
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools, libqwt-dev (>= 6.0.0), libnova-dev
+Standards-Version: 3.9.5
 Homepage: http://www.zygrib.org/
 
 Package: zygrib

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,13 @@
 	dh $@ 
 
 export HOME=`pwd`/debian/tmp
+export QT_SELECT=4
 
 CFLAGS += -fPIC
 
 override_dh_auto_build:
 	cd src ; qmake -o Makefile zyGrib.pro; $(MAKE) INSTALLDIR=$(INSTDIR)
+	mkdir -p grib
 
 	
 override_dh_auto_clean:

## zygrib 7.0.0

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,4 @@
-QTBIN=/usr/bin
-#QTBIN=/opt/qt/qt/bin
-#QTBIN=/usr/local/Trolltech/Qt-4.7.0/bin
+QMAKE=/usr/bin/qmake-qt4
 
 INSTALLDIR=$(HOME)/zyGrib
 
@@ -31,14 +29,14 @@
 	rm -fr zyGrib.app
 	rm -f  src/zyGrib
 	rm -f  src/release/zyGrib.exe
-	cd src/qwt-6.0.1/src; $(QTBIN)/qmake; make clean
-	cd src;	$(QTBIN)/qmake; make clean
+	cd src/qwt-6.0.1/src; $(QMAKE); make clean
+	cd src;	$(QMAKE); make clean
 
 zyGrib: $(SRC)
 	@ echo
 	rm -f ./zyGrib
-	cd src/qwt-6.0.1/src; $(QTBIN)/qmake; make -j5
-	cd src; $(QTBIN)/qmake; make -j5
+	cd src/qwt-6.0.1/src; $(QMAKE); make -j5
+	cd src; $(QMAKE); make -j5
 	@ echo "-----------------------------------"
 	@ echo "#!/bin/bash" >> ./zyGrib
 	@ echo "cd `pwd`" >> ./zyGrib

=== src/qwt-6.0.1/src/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: libqwt.a
-# Generated by qmake (2.01a) (Qt 4.8.4) on: Thu Jan 9 12:40:40 2014
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Sun Jan 18 20:23:47 2015
 # Project:  src.pro
 # Template: lib
-# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile src.pro
+# Command: /usr/bin/qmake-qt4 -o Makefile src.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -16,7 +16,7 @@
 INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++-64 -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -Imoc
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
+QMAKE         = /usr/bin/qmake-qt4
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f

=== debian/changelog ===
zygrib (7.0.0-4build1) xenial; urgency=medium

  * No-change rebuild for qwt transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Mar 2016 18:56:42 +0000

zygrib (7.0.0-4) unstable; urgency=medium

  * Transition of libqwt-qt5-dev to unstable.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 07 Mar 2016 05:55:49 +0000

zygrib (7.0.0-3) experimental; urgency=medium

  * Change lib pathname qwt -> qwt-qt5 for qwt transition
    Closes: #798875, #798879.
  * Close old bug for pre-7.0 version: Closes: #703147.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Feb 2016 10:55:48 +0000

zygrib (7.0.0-2) experimental; urgency=medium

  * Port to qwt-6.2.1. Closes: #798871.
  * Port to Qt5.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2016 11:43:45 +0000

zygrib (7.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 3.9.6
  * Add Vcs-Git to debian/control, repo at debian-science

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Jun 2015 20:45:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 9), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, libqt4-dev, qt4-dev-tools, libqwt-dev (>= 6.0.0), libnova-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-buildinfo, libz-dev, libbz2-dev, libproj-dev, 
+ qtbase5-dev, libqt5svg5-dev, libqwt-qt5-dev (>= 6.1.2), libnova-dev
+Standards-Version: 3.9.6
 Homepage: http://www.zygrib.org/
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/zygrib.git
 
 Package: zygrib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ 
 
 export HOME=`pwd`/debian/tmp
-export QT_SELECT=4
+export QT_SELECT=5
 
 CFLAGS += -fPIC
 
@@ -18,4 +18,4 @@
 	
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1/src/Makefile src/qwt-6.0.1/lib/libqwt.a
+	rm -rf  src/objs/* src/zyGrib src/Makefile src/qwt-6.0.1

## zygrib 8.0.1

=== debian/changelog ===
zygrib (8.0.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 3.9.8
  * DH_COMPAT=10
  * Delete garbage src/.qmake.* file. Closes:     Closes: #844983.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Nov 2016 09:24:43 +0000

## zygrib 8.0.1+dfsg.1

=== src/Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
 # Makefile for building: zyGrib
-# Generated by qmake (2.01a) (Qt 4.8.4) on: Thu Jan 9 12:40:40 2014
+# Generated by qmake (2.01a) (Qt 4.8.6) on: Sun Jan 18 20:23:47 2015
 # Project:  zyGrib.pro
 # Template: app
-# Command: /usr/lib/x86_64-linux-gnu/qt4/bin/qmake -o Makefile zyGrib.pro
+# Command: /usr/bin/qmake-qt4 -o Makefile zyGrib.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -19,7 +19,7 @@
 LIBS          = $(SUBLIBS)  -L/usr/lib/x86_64-linux-gnu -lbz2 -lz -lproj -lnova -Lqwt-6.0.1/lib/ -lqwt -lQtXml -lQtGui -lQtNetwork -lQtCore -lpthread 
 AR            = ar cqs
 RANLIB        = 
-QMAKE         = /usr/lib/x86_64-linux-gnu/qt4/bin/qmake
+QMAKE         = /usr/bin/qmake-qt4
 TAR           = tar -cf
 COMPRESS      = gzip -9f
 COPY          = cp -f
@@ -290,6 +290,7 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
@@ -344,6 +345,7 @@
 		/usr/share/qt4/mkspecs/features/qt.prf \
 		/usr/share/qt4/mkspecs/features/unix/thread.prf \
 		/usr/share/qt4/mkspecs/features/moc.prf \
+		/usr/share/qt4/mkspecs/features/shared.prf \
 		/usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf \
 		/usr/share/qt4/mkspecs/features/warn_on.prf \
 		/usr/share/qt4/mkspecs/features/resources.prf \
@@ -371,6 +373,7 @@
 /usr/share/qt4/mkspecs/features/qt.prf:
 /usr/share/qt4/mkspecs/features/unix/thread.prf:
 /usr/share/qt4/mkspecs/features/moc.prf:
+/usr/share/qt4/mkspecs/features/shared.prf:
 /usr/share/qt4/mkspecs/features/unix/gdb_dwarf_index.prf:
 /usr/share/qt4/mkspecs/features/warn_on.prf:
 /usr/share/qt4/mkspecs/features/resources.prf:
@@ -378,5 +381,3 @@
 /usr/share/qt4/mkspecs/features/yacc.prf:
 /usr/share/qt4/mkspecs/features/lex.prf:
 /usr/lib/x86_64-linux-gnu/libQtXml.prl:
-/usr/lib/x86_64-linux-gnu/libQtGui.prl:
-/usr/lib/x86_64-linux-gnu/libQtNetwork.prl:

=== debian/changelog ===
zygrib (8.0.1+dfsg.1-2) unstable; urgency=medium

  * Standards-Version: 4.1.5; no changes required
  * Set zygrib-maps as M-A: foreign
  * Set VCS to point to salsa.debian.org
  * Use https for homepage
  * Close old fixed in previous release: Closes: #848892
  * REfresh patches

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 28 Jul 2018 16:05:57 +0100

zygrib (8.0.1+dfsg.1-1) unstable; urgency=medium

  * Don't ship liberation-font in source. Create DFSG package. Closes: #851116.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 12 Jan 2017 16:21:13 +0000

=== debian/control ===
Source: zygrib
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 10),
 dh-buildinfo,
 libz-dev,
 libbz2-dev,
 libproj-dev, 
 qtbase5-dev,
 libqt5svg5-dev,
 libqwt-qt5-dev (>= 6.1.2),
 libnova-dev
Standards-Version: 4.1.5
Homepage: https://www.zygrib.org/
Vcs-Browser: https://salsa.debian.org:/science-team/zygrib.git
Vcs-Git: https://salsa.debian.org:/science-team/zygrib.git

Package: zygrib
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
 zygrib-maps,
 fonts-liberation
Description: Weather data visualization,  GRIB file viewer
 This application, written with the Qt toolkit, enables:
  * Visualisation of meteo data from files in GRIB Format 1
  * Automatic GRIB data download
  * Automatic Download from IAC (fleetcode) Data


Package: zygrib-maps
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Maps for zyGrib weather visualization
 This contains maps and country names used by zyGrib.
